using System;
using System.Data;
using System.Configuration;
using System.Collections;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;

public partial class member_articlelist : System.Web.UI.Page
{
    protected void Page_Load(object sender, EventArgs e)
    {
        string where = "username='"+Session["membername"].ToString()+"'";

        //按关键字搜索
        if (Request.QueryString["kw"] != null)
        {
            where += "and title like '%" + Request.QueryString["kw"].ToString() + "%'";
        }
        GetPage(where);
    }
    void GetPage(string where)
    {
        FormPaging_Rep1.TableName = "Fm_model_view";
        FormPaging_Rep1.ColName = "docid";
        FormPaging_Rep1.Where = where;
        FormPaging_Rep1.Rep = Repeater1;
    }
    protected void Button1_Click(object sender, EventArgs e)
    {
        Response.Redirect("articlelist.aspx?kw=" + keyword.Text);
    }
}
